Subject: bug#12621: Win32 (Ver:24.2); Crashes when files from shared folders are accessed

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Oct 2012 18:24:51 +0200

> From: Arvind Devarajan <[email-masked]>
> Date: Tue, 23 Oct 2012 17:46:54 +0530
> CC: "[email-masked]" <[email-masked]>
> 
> Here’s the call stack (and also see below the callstack for the result of C-h v w32-get-true-file-attributes):

> #19 0x77e0d99b in LookupAccountSidA () from C:\WINNT\system32\advapi32.dll
> #20 0x01029dfb in lookup_account_sid@28 ()
> #21 0x0102a10d in get_name_and_id ()
> #22 0x0102a284 in get_file_owner_and_group ()
> #23 0x0102c2a7 in stat ()
> #24 0x0103bdf7 in Finsert_file_contents ()

OK, I see what I missed now: insert-file-contents forcibly binds
w32-get-true-file-attributes to t.  Hmm, I will see what I can do with
this (although I still don't understand why this crashes).

Thanks.